using System;
using System.Collections.Generic;
using System.Text;

namespace StrukturEigenschaften
{
   public struct Punkt
   {
      private int xWert;
      private int yWert;

      public int XWert
      {
         get {return this.xWert;}
         set { this.xWert = Math.Abs(value); }
      }
      public int YWert
      {
         get { return this.yWert; }
         set { this.yWert = Math.Abs(value); }
      }

   }
   class Program
   {
      static void Main(string[] args)
      {
         Punkt p = new Punkt();

         p.XWert = 3;
         p.YWert = -2;
      }
   }
}
